--- 
- - !ruby/regexp /^(.*?) is a synonym for (.*)/
  - :add_synonym
- - !ruby/regexp /^save syn/
  - :save_synonyms
- - !ruby/regexp /^load syn/
  - :load_synonyms
- - !ruby/regexp /^add pattern (.*), (.*)/
  - :add_pattern
- - !ruby/regexp /^>(.*)/
  - :defining_method
- - !ruby/regexp /(?i-mx:^what is the save mode)/
  - what_is_save_mode
- - !ruby/regexp /(?i-mx:^what is the setting (?:for |of )(?:the|your) save mode)/
  - what_is_save_mode
- - !ruby/regexp /(?i-mx:^(.*) is plural)/
  - add_to_plurals
- - !ruby/regexp /(?i-mx:^(.*) is singular)/
  - add_to_singulars
- - !ruby/regexp /^restart/
  - restart
- - !ruby/regexp /(?i-mx:!sr (.*))/
  - make_joke
- - !ruby/regexp /(?i-mx:show singulars)/
  - show_singulars
- - !ruby/regexp /(?i-mx:(.*))/
  - make_joke
